<?php
/**
 * PagesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * PagesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PagesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createPage
     *
     * Creating an object of type Page.
     *
     */
    public function testCreatePage()
    {
    }

    /**
     * Test case for deletePage
     *
     * Deleting an object of type Page.
     *
     */
    public function testDeletePage()
    {
    }

    /**
     * Test case for getPage
     *
     * Getting an object of type Page.
     *
     */
    public function testGetPage()
    {
    }

    /**
     * Test case for patchPage
     *
     * Patching objects of type Page.
     *
     */
    public function testPatchPage()
    {
    }

    /**
     * Test case for searchPage
     *
     * Search for object of type Page.
     *
     */
    public function testSearchPage()
    {
    }

    /**
     * Test case for searchPages
     *
     * Search for objects of type Page.
     *
     */
    public function testSearchPages()
    {
    }
}
